%define srcname spatialite
%define major 7
%define libnamedev %mklibname %{srcname} -d
%define libname %mklibname %{srcname} %{major}

Name:           libspatialite
Version:        4.3.0a
Release:        %mkrel 1
Summary:        SQLite Spatial SQL extension
License:        GPLv2
Group:          System/Libraries
Url:            https://www.gaia-gis.it/fossil/libspatialite/index

Source0:        http://www.gaia-gis.it/gaia-sins/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:	pkgconfig(zlib)
BuildRequires:  geos-devel
BuildRequires:  proj-devel

%description
SpatiaLite is an open source library intended to extend the SQLite core to
support fully fledged Spatial SQL capabilities.

%package -n %{libname}
Summary:        SQLite Spatial SQL extension
Group:          System/Libraries
%description -n %{libname}
SpatiaLite is an open source library intended to extend the SQLite core to
support fully fledged Spatial SQL capabilities.
SQLite is intrinsically simple and lightweight:
- a single lightweight library implementing the full SQL engine
- standard SQL implementation: almost complete SQL-92
- no complex client/server architecture
- a whole database simply corresponds to a single monolithic file (no size
  limits)
- any DB-file can be safely exchanged across different platforms, because the
  internal architecture is universally portable
- no installation, no configuration
SpatiaLite is smoothly integrated into SQLite to provide a complete and
powerful Spatial DBMS (mostly OGC-SFS compliant).
Using SQLite + SpatiaLite you can effectively deploy an alternative open
source Spatial DBMS roughly equivalent to PostgreSQL + PostGIS.

%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/Databases
Requires:       %{libname} = %{version}-%{release}
Provides:       %{srcname}-devel
%description -n %{libnamedev}
Development files needed to build software using %{name}

%prep
%setup -q

%build
%configure2_5x \
    --enable-freexl=no \
    --enable-static=no
%make

%install
%makeinstall_std
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{libnamedev}
%{_includedir}/spatialite*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc



%changelog
* Thu May 19 2016 eatdirt <eatdirt> 4.3.0a-1.mga6
+ Revision: 1016891
- Upgrade to version 4.3.0a

* Fri Feb 05 2016 umeabot <umeabot> 4.2.0-5.mga6
+ Revision: 937461
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 4.2.0-4.mga6
+ Revision: 937014
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.2.0-3.mga5
+ Revision: 745172
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.2.0-2.mga5
+ Revision: 681793
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 sander85 <sander85> 4.2.0-1.mga5
+ Revision: 660208
- New version: 4.2.0

* Sat Oct 19 2013 umeabot <umeabot> 4.1.1-2.mga4
+ Revision: 530036
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 sander85 <sander85> 4.1.1-1.mga4
+ Revision: 454719
- New version: 4.1.1

* Fri Mar 22 2013 fwang <fwang> 4.0.0-2.mga3
+ Revision: 404446
- lock libmajor

* Thu Jan 17 2013 obgr_seneca <obgr_seneca> 4.0.0-1.mga3
+ Revision: 389214
- imported package libspatialite

